Package org.apache.tapestry5.internal.services

## Class PageRenderRequestHandlerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.PageRenderRequestHandlerImpl

- All Implemented Interfaces:
    `PageRenderRequestHandler`

      public class PageRenderRequestHandlerImpl
      extends java.lang.Object
      implements PageRenderRequestHandler

  Handles a page render request by activating and then rendering the page.
  See Also:
    `PageRenderDispatcher`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageRenderRequestHandlerImpl​(RequestPageCache cache, ComponentEventResultProcessor resultProcessor, PageResponseRenderer pageResponseRenderer, PageActivator pageActivator, Request request)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(PageRenderRequestParameters parameters)` | Invoked to activate and render a page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageRenderRequestHandlerImpl

          public PageRenderRequestHandlerImpl​(RequestPageCache cache,
                                              @Traditional @Primary
                                              ComponentEventResultProcessor resultProcessor,
                                              PageResponseRenderer pageResponseRenderer,
                                              PageActivator pageActivator,
                                              Request request)

  - ### Method Detail

    - #### handle

          public void handle​(PageRenderRequestParameters parameters)
                      throws java.io.IOException

      Description copied from interface: `PageRenderRequestHandler`
      Invoked to activate and render a page. In certain cases, based on values returned when activating the page, a `ComponentEventResultProcessor` may be used to send an alternate response (typically, a redirect).
      Specified by:
        `handle` in interface `PageRenderRequestHandler`
      Parameters:
        `parameters` - defines the page name and activation context
      Throws:
        `java.io.IOException`